Update please !! Rated 5 out of 5 stars

Please update to compatible with Firefox 4 !!

This review is for a previous version of the add-on (3.7.1.1-signed).